Bug 859466 - Xen 4.2 does not boot on MacBook unless xsave=off
Xen 4.2 does not boot on MacBook unless xsave=off
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 11:49 EDT by W. Michael Petullo
Modified: 2012-10-03 23:20 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-03 23:20:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2012-09-21 11:49:21 EDT
Description of problem:
Xen 4.2 does not boot on my MacBook5,1 unless I specify "xsave=off". Without this option, the computer reboots before Dom0 prints anything.

Version-Release number of selected component (if applicable):
xen-4.2.0-0.1.fc17.x86_64
kernel-3.5.3-1.fc17.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Install Xen from:

   http://koji.fedoraproject.org/koji/taskinfo?taskID=4493396

2. Boot Xen+Linux
Comment 1 Michael Young 2012-09-21 12:02:26 EDT
According to this post
https://lists.fedoraproject.org/pipermail/xen/2012-August/005879.html
it is a kernel issue. Reassigning ....
Comment 2 Konrad Rzeszutek Wilk 2012-10-02 10:11:29 EDT
Actually it is a Fedora kernel issue. The kernel (starting from v3.6) should have the patch removed.

https://patchwork.kernel.org/patch/1421751/
Comment 3 Konrad Rzeszutek Wilk 2012-10-02 10:12:12 EDT
The patch in question that should be ditched is: fix_xen_guest_on_old_EC2.patch
Comment 4 Josh Boyer 2012-10-02 11:31:50 EDT
(In reply to comment #3)
> The patch in question that should be ditched is:
> fix_xen_guest_on_old_EC2.patch

We already ditched that across all branches.
Comment 5 Konrad Rzeszutek Wilk 2012-10-02 14:32:53 EDT
Michael,

Can you please update your kernel?
Comment 6 W. Michael Petullo 2012-10-03 23:20:43 EDT
Seems fixed in kernel-3.5.4-2.fc17.x86_64.

Note You need to log in before you can comment on or make changes to this bug.